--- title: "View stage associated with usage plan" slug: "apigateway-usageplan-getstage" updated: 2026-09-17T09:35:41Z published: 2026-09-17T09:35:41Z canonical: "api.ncloud-docs.com/apigateway-usageplan-getstage" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # View stage associated with usage plan Available in Classic and VPC View the details of stages associated with a specified usage plan. ## Request The following describes the request format for the endpoint. The request format is as follows: | Method | URI | | --- | --- | | GET | /api/v1/usage-plans/{usage-plan-id}/stages | ### Request headers For information about the headers common to all API Gateway APIs, see [API Gateway request headers](/docs/en/ai-application-service-apigateway#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `usage-plan-id` | String | Required | ID of usage plan whose stages you want to view - 0 - 10 characters - See [View usage plan list](/docs/en/apigateway-usageplan-getusageplanlist) | ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `offset` | Long | Optional | Starting point of the response data - 0 - 9,223,372,036,854,775,807 - It is used with `limit` to implement pagination | | `limit` | Long | Optional | Maximum number of response data - 1 - 9,223,372,036,854,775,807 - It is used with `offset` to implement pagination | | `name` | String | Optional | Name of stage to view - 1 - 20 characters | ### Request example The following is a sample request. ``` curl --location --request GET 'https://apigateway.apigw.ntruss.com/api/v1/usage-plans/***9rpm***/stages' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response The following describes the response format. ### Response syntax The response syntax is as follows. ``` { "total" : 0, "stages" : [ { "apiName" : "apiName", "stageName" : "stageName", "productId" : "productId", "apiId" : "apiId", "productName" : "productName", "stageId" : "stageId" } ], "usagePlan" : { "domainCode" : "domainCode", "monthQuotaRequest" : 1, "dayQuotaRequest" : 6, "rateRps" : 5, "quotaCondition" : "quotaCondition" } } ``` ### Response status codes For information about the HTTP status codes common to all API Gateway APIs, see [API Gateway response status codes](/docs/en/ai-application-service-apigateway#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The following is a sample response. ``` { "stages": [ { "productName": "product", "apiName": "api000", "stageName": "stage", "stageId": "***5ei7***", "productId": "***ksk9***", "apiId": "***51hs***" } ], "total": 1, "usagePlan": { "domainCode": "PUB" } } ```